OpenIsle Docs
API 概览
Login with Telegram POST
Api
Auth
Telegram

# Login with Telegram

Authenticate using Telegram data

POST
/`api`/`auth`/`telegram`

## Authorization

AuthorizationBearer <token>

In: `header`

## Request Body

id?string
firstName?string
lastName?string
username?string
photoUrl?string
authDate?integer
Format `int64`
hash?string
inviteToken?string

## Response Body

###

    curl -X POST "https://www.open-isle.com/api/auth/telegram" \  -H "Content-Type: application/json" \  -d '{}'

    "string"

Register user POST

Previous Page

Login with Twitter POST

Next Page

    curl -X POST "https://www.open-isle.com/api/auth/telegram" \
      -H "Content-Type: application/json" \
      -d '{}'